Bug 1961896

Summary: mesa 21 causes GLXBadFBConfig errors in some games under wine
Product: [Fedora] Fedora Reporter: Dominik 'Rathann' Mierzejewski <dominik>
Component: mesaAssignee: Adam Jackson <ajax>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: ajax, bskeggs, caillon+fedoraproject, igor.raits, jglisse, lyude, rclark, rhughes, rstrode, tstellar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-06-07 19:59:27 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dominik 'Rathann' Mierzejewski 2021-05-18 23:28:10 UTC
Description of problem:
After upgrading to F34, Star Stable Online no longer works under wine, throwing GLXBadFBConfig errors.

Version-Release number of selected component (if applicable):
mesa-21.0.3-2.fc34
wine-6.7-1.fc34

How reproducible:
Always.

Steps to Reproduce:
1. Install and run SSO (https://launcher-data.starstable.com/Star+Stable+Online+Setup+2.8.3.exe)

Actual results:
Game hangs with the following error repeating itself:
X Error of failed request:  GLXBadFBConfig
  Major opcode of failed request:  153 (GLX)
  Minor opcode of failed request:  0 ()
  Serial number of failed request:  341
  Current serial number in output stream:  341

Expected results:
Game plays fine as it did on Fedora 33.

Additional info:
This looks like a duplicate of bug 1924933 and upstream https://gitlab.freedesktop.org/mesa/mesa/-/issues/3969 , https://bugs.winehq.org/show_bug.cgi?id=50859 and https://bugs.winehq.org/show_bug.cgi?id=50864 . Apparently, mesa-21.0.4 includes the fix.

Comment 1 Dominik 'Rathann' Mierzejewski 2021-05-18 23:29:41 UTC
Oh, and the workaround mentioned in https://bugs.winehq.org/show_bug.cgi?id=50859#c11 (export MESA_GL_VERSION_OVERRIDE=4.5) does help.

Comment 2 Dominik 'Rathann' Mierzejewski 2022-04-13 13:32:55 UTC
Mesa was since updated past 21.0.4 in F34, so this can be closed.

Comment 3 Ben Cotton 2022-05-12 14:51:57 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 4 Ben Cotton 2022-06-07 19:59:27 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.